Name:           abuse
Version:        0.7.1
Release:        6%{?dist}
Summary:        The classic Crack-Dot-Com game
Group:          Amusements/Games
License:        GPLv2+
URL:            http://abuse.zoy.org/
# no URL, as downloading requires a parameter, this file is:
# http://abuse.zoy.org/attachment/wiki/Downloads/abuse-0.7.1.tar.gz?format=raw
Source0:        %{name}-%{version}.tar.gz
Patch1:         abuse_sdl-0.7.0-fixes.patch
Patch2:         abuse_sdl-0.7.0-exit-intro-crash.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL-devel alsa-lib-devel libGLU-devel
# abuse-data >= 0.7.1 as the included desktop files needs to be updated for the
# fact thar out binary was renamed from abuse.sdl to just abuse
Requires:       abuse-data >= 0.7.1, hicolor-icon-theme

%description
This is the SDL version of Abuse, the classic Crack-Dot-Com game. It can run in
a window or fullscreen and it has stereo sound with sound panning.


%prep
%setup -q
%patch1 -p1 -z .fix
%patch2 -p1 -z .intro


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
mv $RPM_BUILD_ROOT%{_datadir}/games/%{name}/%{name}.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
rm -fr $RPM_BUILD_ROOT%{_datadir}/games


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS README TODO COPYING
%{_bindir}/%{name}
%{_mandir}/man6/%{name}.6.gz
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 22 2010 Hans de Goede <hdegoede@redhat.com> 0.7.1-5
- Fix a crash when restarting the game (#592088)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Sep  7 2008 Hans de Goede <hdegoede@redhat.com> 0.7.1-2
- Fix patch fuzz build failure

* Mon Mar  3 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.7.1-1
- Upstream is alive again, new upstream release 0.7.1, yeah!

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.7.0-6
- Autorebuild for GCC 4.3

* Thu Aug  2 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.7.0-5
- Update License tag for new Licensing Guidelines compliance

* Sun May 20 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.7.0-4
- Fix broken URL field (bz 240592)

* Mon Aug 28 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.7.0-3
- FE6 Rebuild

* Thu Aug 24 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.7.0-2
- Fix abuse from crashing on exit when you try to close the window while the
  intro is still playing

* Wed Aug 16 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.7.0-1
- Initial FE submission
